%define anolis_release 4

Name:                perl-Pod-Usage
Epoch:               4
Version:             2.03
Release:             %{anolis_release}%{?dist}
Summary:             Print a usage message from embedded pod documentation
License:             GPL+ or Artistic-1.0
URL:                 https://metacpan.org/release/Pod-Usage
Source0:             https://cpan.metacpan.org/authors/id/M/MA/MAREKR/Pod-Usage-%{version}.tar.gz

BuildArch:           noarch
BuildRequires:       perl make sed coreutils perl-generators perl-interpreter  perl(Config) perl(warnings)
BuildRequires:       perl(Cwd) perl(ExtUtils::MakeMaker) perl(File::Basename) perl(File::Spec) perl(strict)
BuildRequires:       perl(Carp) perl(Config) perl(Exporter) perl-Pod-Perldoc perl(Pod::Text) perl(vars)
#tests
BuildRequires:       perl(blib) perl(FileHandle) perl(Pod::PlainText) perl(Test::More) 
Requires:            perl(File::Spec) perl-Pod-Perldoc perl(Pod::Text)

%description
Pod2usage will print a usage message for the invoking script (using its embedded pod documentation) 
and then exit the script with the desired exit status. The usage message printed may have any one 
of three levels of "verboseness": If the verbose level is 0, then only a synopsis is printed. If 
the verbose level is 1, then the synopsis is printed along with a description (if present) of the 
command line options and arguments. If the verbose level is 2, then the entire manual page is printed.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n Pod-Usage-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%{_bindir}/pod2usage
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%files doc
%doc README Changes

%changelog
* Tue Dec 26 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 4:2.03-4
- rebuild

* Mon Feb 06 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 4:2.03-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 4:2.03-2
- rebuild with perl 5.36.0

* Mon Jan 23 2023 Funda Wang <fundawang@yeah.net> - 4:2.03-1
- New version 2.03

* Tue Mar 08 2022 Jacob Wang <yungao.jacob@linux.alibaba.com> - 4:2.01-1
- Initial version from upstream 2.01
